org.apache.cassandra.streaming

## Class PendingFile

- java.lang.Object
- - org.apache.cassandra.streaming.PendingFile

-     public class PendingFile
      extends java.lang.Object

  Represents portions of a file to be streamed between nodes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PendingFile.PendingFileSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `component`
    `CompressionInfo` | `compressionInfo` compression information.
    `Descriptor` | `desc`
    `long` | `estimatedKeys` estimated number of keys to transfer
    `long` | `progress`
    `java.util.List<Pair<java.lang.Long,java.lang.Long>>` | `sections`
    `static PendingFile.PendingFileSerializer` | `serializer`
    `long` | `size` total length of data to transfer
    `SSTableReader` | `sstable`
    `OperationType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PendingFile(Descriptor desc, PendingFile pf)`
    `PendingFile(SSTableReader sstable, Descriptor desc, java.lang.String component, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, OperationType type)`
    `PendingFile(SSTableReader sstable, Descriptor desc, java.lang.String component, java.util.List<Pair<java.lang.Long,java.lang.Long>> sections, OperationType type, long estimatedKeys, CompressionInfo compressionInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getFilename()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final PendingFile.PendingFileSerializer serializer

    - #### sstable

          public final SSTableReader sstable

    - #### desc

          public final Descriptor desc

    - #### component

          public final java.lang.String component

    - #### sections

          public final java.util.List<Pair<java.lang.Long,java.lang.Long>> sections

    - #### type

          public final OperationType type

    - #### size

          public final long size

      total length of data to transfer

    - #### estimatedKeys

          public final long estimatedKeys

      estimated number of keys to transfer

    - #### compressionInfo

          public final CompressionInfo compressionInfo

      compression information. null if data is not compressed

    - #### progress

          public long progress

  - ### Constructor Detail

    - #### PendingFile

          public PendingFile(Descriptor desc,
                     PendingFile pf)

    - #### PendingFile

          public PendingFile(SSTableReader sstable,
                     Descriptor desc,
                     java.lang.String component,
                     java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                     OperationType type)

    - #### PendingFile

          public PendingFile(SSTableReader sstable,
                     Descriptor desc,
                     java.lang.String component,
                     java.util.List<Pair<java.lang.Long,java.lang.Long>> sections,
                     OperationType type,
                     long estimatedKeys,
                     CompressionInfo compressionInfo)

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation